Merkl Developer Portal logo
get

/v4/ledger/balances/{address}

Real-time offchain (ledger) reward balances for a recipient

Path parameters

addressstring
required

Recipient address

Query parameters

chainIdstring (integer) | integer

Restrict to a single chain

Responses

200
Response for status 200
Schema
object[]
rewardTokenobject | nullThe API's token record, or null for the native token and an unknown address
idstringUnique identifier for the token
namestring | nullFull name of the token
chainIdintegerChain Id
addressstring
decimalsnumberNumber of decimals for the token
symbolstringSymbol of the token
iconstringURL to the token icon image
verifiedbooleanWhether the token is verified
isNativebooleanWhether this is a native blockchain token
isTestbooleanWhether this is a test token
typeenumType of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINT
pricenumber | nullCurrent price of the token in USD
updatedAtnumber | nullUnix timestamp of last price update
priceSourcestring | nullSource of the price information
displaySymbolstringCustom display symbol override
underlyingTokenIdstringIf this token is a wrapper, the ID of the underlying token
priceAlertDismissedAtnumber
priceAlertCountnumber
chainIdnumber
tokenstringReward token address; "" = native
accruedstringEverything ever credited
claimedstringBase units, base-10
availablestringMatured and claimable now
pendingstringCredited but still inside the accrual delay
nextMaturesAtnumberEarliest upcoming maturity; 0 when nothing is pending
breakdownobject[]
campaignIdstring
reasonstring
accruedstringBase units, base-10
pendingstringBase units, base-10
Example
[
  {
    "rewardToken": {
      "id": "string",
      "name": "string",
      "chainId": 0,
      "address": "string",
      "decimals": 0,
      "symbol": "string",
      "icon": "string",
      "verified": false,
      "isNative": false,
      "isTest": false,
      "type": "TOKEN",
      "price": 0,
      "updatedAt": 0,
      "priceSource": "string",
      "displaySymbol": "string",
      "underlyingTokenId": "string",
      "priceAlertDismissedAt": 0,
      "priceAlertCount": 0
    },
    "chainId": 0,
    "token": "string",
    "accrued": "string",
    "claimed": "string",
    "available": "string",
    "pending": "string",
    "nextMaturesAt": 0,
    "breakdown": [
      {
        "campaignId": "string",
        "reason": "string",
        "accrued": "string",
        "pending": "string"
      }
    ]
  }
]